Ƭrivumo Docs
Ƭrivumo Docs
HomeMCP Server
Get message contentGet messages
Api reference

Get message content

Retrieve both the HTML and plain text content for a captured email message, along with extracted links, images, verification codes, and message headers.

GET
/api/v1/messages/:referenceId

Retrieve both the HTML and plain text content for a captured email message, along with extracted links, images, verification codes, and message headers.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

referenceId*string

Internal reference ID returned by the inbox messages endpoints.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/messages/:referenceId"
{
  "referenceId": "string",
  "from": "user@example.com",
  "to": "user@example.com",
  "subject": "string",
  "size": 0,
  "receivedAt": "2019-08-24T14:15:22Z",
  "headers": [
    {
      "key": "string",
      "originalKey": "string",
      "value": "string"
    }
  ],
  "html": {
    "codes": [
      "string"
    ],
    "links": [
      {
        "href": "http://example.com",
        "text": "string"
      }
    ],
    "images": [
      {
        "alt": "string",
        "url": "http://example.com",
        "base64": "string"
      }
    ],
    "body": "string"
  },
  "text": {
    "codes": [
      "string"
    ],
    "links": [
      {
        "href": "http://example.com",
        "text": "string"
      }
    ],
    "images": [
      {
        "alt": "string",
        "url": "http://example.com",
        "base64": "string"
      }
    ],
    "body": "string"
  }
}
{
  "success": false,
  "message": "string"
}

MCP Server

Connect AI agents and coding assistants to Trivumo inboxes using the Model Context Protocol (MCP).

Get messages

Retrieve messages received by your domain. Results are returned in pages and can be filtered by recevier email , sender email address and subject text.